import * as express from 'express';
import { MongoClient } from 'mongodb';

const dbUrl = 'mongodb://localhost:27017'; // hardcoded for now
const dbName = 'cumstormgdps'; // hardcoded for now

const dbClient = new MongoClient(dbUrl);

let db;

console.log(`connecting to mongodb database ${dbName}@${dbUrl}...`);
dbClient.connect((err) => {
	if (err) return console.log(err);
	console.log('connected to database!');

	db = dbClient.db(dbName);
	const app = express();

	app.use(express.urlencoded({ extended: true }));

	app.get('/', (req, res) => {
		res.send('Hello World');
	});

	require('./getGJLevels21')(app, db);

	app.get('*', (req, res) => res.status(404).send('wrong page dumbass'));

	app.listen(3000);
});